> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vos.verolabs.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Move an account into a group (single membership)

> Move an account into a group (single membership)



## OpenAPI

````yaml openapi.oms.vi.json POST /api/v1/util/groups/move
openapi: 3.0.3
info:
  title: VOS OMS Public API
  version: 1.0.0
  description: >-
    Public REST API surface for Vero OMS. Authentication requests use
    platform.verolabs.co. REST API requests use api-oms.verolabs.co.
servers:
  - url: https://platform.verolabs.co
    description: Authentication host
  - url: https://api-oms.verolabs.co
    description: REST API host
security: []
tags:
  - name: Authentication
    description: Xác thực tài khoản và khôi phục mật khẩu.
  - name: Trading
    description: Order entry, quote, IOI, and trading activity APIs.
  - name: Portfolio & Risk
    description: Accounts, holdings, mappings, and risk-rule read APIs.
  - name: Administration
    description: Permissions, groups, workflow, reference data, and audit APIs.
  - name: System & Diagnostics
    description: Health and latency endpoints.
paths:
  /api/v1/util/groups/move:
    post:
      tags:
        - Administration
      summary: Move an account into a group (single membership)
      description: |-
        Requires `Authorization: Bearer <jwt>` from `POST /api/auth/login`.

        Required JWT role: `maker` or `admin`.
      operationId: post_api_v1_util_groups_move
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MoveAccountPayload'
        description: Move account to group payload.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupMember'
      security:
        - bearerAuth: []
      servers:
        - url: https://api-oms.verolabs.co
components:
  schemas:
    MoveAccountPayload:
      type: object
      properties:
        account_code:
          type: string
          description: Account code used by administration and mapping records.
        group_id:
          type: integer
          format: int64
          description: Group identifier.
      required:
        - account_code
        - group_id
      description: MoveAccountPayload schema.
    GroupMember:
      type: object
      properties:
        account_code:
          type: string
          description: Account code used by administration and mapping records.
        group_id:
          type: integer
          format: int64
          description: Group identifier.
        group_name:
          type: string
          description: Group name.
        moved_by:
          type: string
          description: User that moved the account between groups.
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the record was last updated.
      description: GroupMember schema.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````